REM while using 4.X version of Crossworlds, set CWVERSION to 4.X
set CWVERSION="4.X"
set ORBCLASSPATH=com.inprise.vbroker.orb.ORB

REM while using 3.x version of Crossworlds, set CWVERSION to 3.X
REM set CWVERSION="3.X"
if %CWVERSION%=="3.X" set ORBCLASSPATH=com.visigenic.vbroker.orb.ORB

REM Needs to change to "3.0.0" if using WBIA.jar for CrossWorlds 3.x.
set WBIAVER="4.0.0"

REM Define local batch PATH to insure we execute our jre
set PATH="%CROSSWORLDS%"\bin;%PATH%

set RT="%CROSSWORLDS%"\lib\rt.jar

set CWCLASSES="%CROSSWORLDS%"\lib\crossworlds.jar

set MQ="%CROSSWORLDS%"\lib\mq.jar;"%CROSSWORLDS%"\MA88\Java\lib\properties.jar
set MQ_MA88="%CROSSWORLDS%"\MA88\Java\lib

set ORB1="%CROSSWORLDS%"\lib\vbjorb.jar
set ORB2="%CROSSWORLDS%"\lib\vbjapp.jar
set  DATAHANDLER=%CROSSWORLDS%\DataHandlers\CwDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CustDataHandler.jar

REM Set ODK dependencies
set ODK_LIB="%CROSSWORLDS%"\lib\CwODK.jar
set XML_LIB="%CROSSWORLDS%"\lib\xerces.jar
set JDOM_LIB="%CROSSWORLDS%"\lib\jdom.jar

set SSLJ="%CROSSWORLDS%"\lib\sslj.jar
set CERTJ="%CROSSWORLDS%"\lib\certj.jar
set JSAFE="%CROSSWORLDS%"\lib\jsafe.jar
set JAVA_SECURITY="%CROSSWORLDS%"\lib\ibmjcefw.jar;"%CROSSWORLDS%"\lib\ibmjceprovider.jar;"%CROSSWORLDS%"\lib\local_policy.jar;"%CROSSWORLDS%"\lib\US_export_policy.jar


if %WBIAVER%=="4.0.0" set WBIA="%CROSSWORLDS%"\lib\WBIA\4.0.0\WBIA.jar
if %WBIAVER%=="3.0.0" set WBIA="%CROSSWORLDS%"\lib\WBIA\3.0.0\WBIA.jar
set JCLASSES=.;%RT%;%CWCLASSES%;%MQ%;"%CROSSWORLDS%"\connectors;%ORB1%;%ORB2%;%SSLJ%;%CERTJ%;%JSAFE%;%DATAHANDLER%;%WBIA%;%JAVA_SECURITY%;%ODK_LIB%;%XML_LIB%;%JDOM_LIB%
